{block content}
<div class="row">
	<div class="col s8">
		<h1>Stůl č. {$table->id}</h1>
		{php $total = 0}
		<div style="height: 400px; overflow-y: scroll">
			<table>
				<thead>
				<tr>
					<th></th>
					<th>Položka</th>
					<th>Počet</th>
					<th>Cena</th>
				</tr>
				</thead>
				{ifset $order}
					<tbody>
					{foreach $order->getOrderItems() as $orderItem}
						{if $orderItem->paid < $orderItem->count}
							<tr>
								<td><a n:href="removeOrderItem! $orderItem->getId()" class="btn-flat black white-text"><i class="material-icons">remove</i></a></td>
								<td>{$orderItem->item->name}</td>
								{php $countNotPaid = $orderItem->count - $orderItem->paid}
								<td>{$countNotPaid}{php $total += $orderItem->item->price*$countNotPaid}</td>
								<td>{$orderItem->item->price*$countNotPaid} Kč</td>
							</tr>
						{/if}
					{/foreach}
					</tbody>
				{/ifset}
			</table>
		</div>
		<h3 class="col s6">Spolu:</h3>
		<h3 class="col s6 right-align bold">{$total} Kč</h3>
		{ifset $order}
		<div class="col s12" style="margin-top: 20px">
			<a href="#payChosen" class=" modal-trigger btn-flat black white-text">
				<span class="bold"">Vybrat položky k zaplacení</span>
			</a>
			<a href="#attachOrderToTables" class=" modal-trigger btn-flat black white-text">
				<span class="bold"">Přiřadit objednávku ke stolům</span>
			</a>
			{if $user->isInRole('owner') or $user->isInRole('main_waiter')}
			<a href="#cancelOrder" class="modal-trigger btn-flat red white-text">
				<span class="bold"">Zrušit objednávku</span>
			</a>
			{/if}
		</div>
		{/ifset}
	</div>

	<div class="col s4">
		<div class="black_radius_border" style="margin-top: 60px">
		{form addBeverageToOrderForm}
			<h3>Přidat nápoj</h3>
			<select name="item">
				<optgroup n:foreach="$beverage_categories as $beverage" label="{$beverage}">
					{foreach $form['item']->items as $key => $item}
						{if ($item->category == $beverage)}
							<option value="{$key}">{$item->name}</option>
						{/if}
					{/foreach}
				</optgroup>
			</select>
			<div class="input-field">
				{input count class=>"validate"}
				{label count}
			</div>
			<button class="btn-flat black white-text" type="submit" name="send">
				<i class="material-icons">add</i>
			</button>
		{/form}
		</div>

		<div class="black_radius_border">
		{form addFoodToOrderForm}
			<h3>Přidat jídlo</h3>
			<select name="item">
				<optgroup n:foreach="$food_categories as $food" label="{$food}">
					{foreach $form['item']->items as $key => $item}
						{if ($item->category == $food)}
							<option value="{$key}">{$item->name}</option>
						{/if}
					{/foreach}
				</optgroup>
			</select>
			<div class="input-field">
				{input count class=>"validate"}
				{label count}
			</div>
			<button class="btn-flat black white-text" type="submit" name="send">
				<i class="material-icons">add</i>
			</button>
		{/form}
		</div>
	</div>
</div>
{if $user->isInRole('owner') or $user->isInRole('main_waiter')}
<div id="cancelOrder" class="modal" style="width: 500px">
	<div class="modal-content center-align">
		<h4>Opravdu si přejete zrušit objednávku?</h4>
	</div>
	<div class="modal-footer">
		<a href="#" class="modal-close btn-flat black white-text">Ne, ponechat objednávku</a>
		<a n:href="cancelOrder!" class="modal-close btn-flat red white-text">Ano, zrušit objednávku</a>
	</div>
</div>
{/if}

{ifset $bookings[0]}
<div class="row">
	<div class="col s12 green white-text center-align bold" style="border-radius: 25px; padding: 15px 0;">
		<h6>Nejbližší rezervace na tento stůl: <span class="bold">{$bookings[0]->dateTime->format('d.m.')} o {$bookings[0]->dateTime->format('H:i')}</span></h6>
	</div>
</div>
{/ifset}
{ifset $order}
<div id="payChosen" class="modal">
	{form paymentForm class=>"ajax"}
	<div class="modal-content">
		<h2>Vybrat položky k zaplacení</h2>
		<div class="row">
			<div class="col s12">
				<div style="height: 300px; overflow-y: scroll">
					<table>
						<thead>
						<tr>
							<th>Položka</th>
							<th>Počet</th>
							<th>Zaplatit</th>
						</tr>
						</thead>
						{ifset $order}
							<tbody>
							{foreach $order->getOrderItems() as $orderItem}
								{if $orderItem->getCount() != $orderItem->getPaid()}
									<tr>
										<td>{$orderItem->getItem()->getName()}</td>
										<td>{$orderItem->getCount() - $orderItem->getPaid()}</td>
										<td class="input-field modal-input">{input $orderItem->getId()}</td>
									</tr>
								{/if}
							{/foreach}
							</tbody>
						{/ifset}
					</table>
				</div>
			</div>
		</div>
		<div class="row">
			<h3 class="col s6 left-align">K zaplacení:</h3>
			{snippet ajaxChange}
				<h3 class="col s6 right-align bold">{$totalToPay} Kč</h3>
			{/snippet}
			<span class="col s2 left-align">Způsob platby: </span>
			{foreach $form['paymentMethod']->items as $key => $label}
				<label>
					<input type="radio" n:name="paymentMethod:$key"/>
					<span class="col s1 black-text" style="margin-right: 20px">{$label}</span>
				</label>
			{/foreach}
			<ul class="errors" n:if="$form->hasErrors()">
				<li n:foreach="$form->errors as $error">{$error}</li>
			</ul>
		</div>
	</div>
	<div class="modal-footer">
		<div>
			<a href="#" id="select-all-button" class="btn-flat black white-text bold">Vybrat vše</a>
			<button class="btn-flat black white-text bold" name="send" type="submit">Potvrdit</button>
		</div>
	</div>
	{/form}
</div>

<div id="attachOrderToTables" class="modal">
	{form addOrderToTables}
	<div class="modal-content">
		<div class="row">
			<h3>Přiřadit stoly k objednávce</h3>
			<div class="col s12">
				<h5>Volné stoly:</h5>
			</div>
			{foreach $form['freeTables']->items as $key => $label}
				<label class="col s1">
					<input type="checkbox" n:name="freeTables:$label"/>
					<span class="black-text" style="margin-right: 25px">{$label}</span>
				</label>
			{/foreach}
		</div>
	</div>
	<div class="modal-footer">
		<button class="btn-flat black white-text bold" name="send" type="submit">
			Potvrdit
		</button>
	</div>
	{/form}
</div>
{/ifset}

<script>
	$(".input-field.modal-input").change(function(){
		let values = {};
		$(".input-field.modal-input").each(function(){
			let input = $(this).find("input");
			values[input.attr("name").substr(1)] = input.val();
		});

		$.nette.ajax({
			type: "POST",
			url: {link changeVariable!},
			data: {"values": values}
		})
	});

	$(function () {
		$("#select-all-button").click(function () {
			$(".input-field.modal-input").each(function(){
				let input = $(this).find("input");
				input.val(input.attr("max")).change();
			});
		})
	});
</script>